struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Manickam-Periaswamy.Vign...@epamail.epa.gov
Subject RE: IDE for struts-enabled web application
Date Mon, 02 Apr 2007 16:15:42 GMT
I think now I need to reconsider whether to go for Struts 2. The reason 
why I went for Struts 2 is that, both Struts 2 and my servlet engine 
ServletExec 5.0 supports servlet api 2.4 and JSP 2.0. 

Now I think it doesn't matter if I use struts 1.1 are whatsoever. 

Please suggest me how I go about this. As I am new to struts, I don't mind 
going with struts 1 or struts 2. I also thought it is always good to go 
with the latest version, so that there won't be a question of migrating to 
struts 2 later. What would you suggest? struts 1 or struts 2?

If I use struts 2 I can go ahead with netbeans 5.5 as my IDE.

Vignesh Manickam Periaswamy
Web Application Developer Intern, Information Management Section
WPTD,   EPA Region 5         312-886-0887
email: Manickam-Periaswamy.Vignesh@epa.gov





Bruno Melloni <Bruno.Melloni@wnco.com> 
04/02/2007 10:47 AM
Please respond to
Struts Users Mailing List <user@struts.apache.org>



To
Struts Users Mailing List <user@struts.apache.org>
cc





Subject
RE: IDE for struts-enabled web application



I too like Netbeans, although I now use Eclipse because my company
focuses on using Eclipse and RAD. 

I am not sure if I'd recommend MyEclipse for Struts.  I heard wonderful
things about it, but when I checked their website I only saw support for
Struts 1.0 and 1.1... not good enough.  I'd want at least Struts 1.2.9
or better yet 1.3.x support right off the box.  Struts 2 might take some
months before anyone supports it.

A good plugin for Eclipse that used to be commercial and is about to
become free open source is Exadel Studio Pro (I think renamed Red Hat
Studio).  It is compatible with the latest Eclipse, and the last time I
read its specs it seemed to support a fairly recent version of Struts
(maybe 2.0?)

-----Original Message-----
From: Piero Sartini [mailto:lists@pierosartini.de] 
Sent: Saturday, March 31, 2007 11:25 AM
To: Struts Users Mailing List
Subject: Re: IDE for struts-enabled web application

> Please suggest me a free IDE (mostly Eclipse plugin), for developing 
> struts-enabled web application. (if possible supporting my run-time 
> too)

Since you asked about an Eclipse plugin, I am not suggesting NetBeans -
otherwise I would do that for sure ;)

Anyway, I am not aware of any Struts specific plugins beside the IDEA
plugin for struts 1. That said, good support for web development is
everything you need to develop s2 applications in my eyes.

Hint: You could develop on tomcat and deploy to your servlet-container
for production. This should make things easier for you.

Piero

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
For additional commands, e-mail: user-help@struts.apache.org


---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
For additional commands, e-mail: user-help@struts.apache.org



Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message